<?php
/**
* Header Options.
*
* @package Digital Media
*/

$digital_media_default = digital_media_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'digital_media_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'digital-media' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'digital_media_theme_option_panel',
	)
);

$wp_customize->add_setting('digital_media_menu_font_size',
    array(
        'default'           => $digital_media_default['digital_media_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'digital_media_sanitize_number_range',
    )
);
$wp_customize->add_control('digital_media_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'digital-media'),
        'section'     => 'digital_media_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'digital_media_menu_text_transform',
    array(
    'default'           => $digital_media_default['digital_media_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'digital_media_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'digital_media_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'digital-media' ),
    'section'     => 'digital_media_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'digital-media' ),
        'uppercase'  => esc_html__( 'Uppercase', 'digital-media' ),
        'lowercase'    => esc_html__( 'Lowercase', 'digital-media' ),
        ),
    )
);


$wp_customize->add_setting('digital_media_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'digital_media_header_menus_color', array(
    'label'    => __('Main Menu Color', 'digital-media'),
    'section'  => 'digital_media_button_header_setting',
)));

$wp_customize->add_setting('digital_media_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'digital_media_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'digital-media'),
    'section'  => 'digital_media_button_header_setting',
)));

$wp_customize->add_setting('digital_media_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'digital_media_header_submenus_color', array(
    'label'    => __('Submenu Color', 'digital-media'),
    'section'  => 'digital_media_button_header_setting',
)));

$wp_customize->add_setting('digital_media_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'digital_media_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'digital-media'),
    'section'  => 'digital_media_button_header_setting',
)));


$wp_customize->add_setting('digital_media_sticky',
    array(
        'default' => $digital_media_default['digital_media_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'digital_media_sanitize_checkbox',
    )
);
$wp_customize->add_control('digital_media_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'digital-media'),
        'section' => 'digital_media_button_header_setting',
        'type' => 'checkbox',
    )
);
